#
# spec file for package sendmail (Version 8.8.8)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         sendmail
Release:      21
Copyright:    1983 Eric P. Allman
Group: 
Provides:     sendcf smailcfg 
Requires: 
Conflicts:    smail
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      8.8.8
Summary:      BSD sendmail
Source: sendmail-8.8.8.tar.gz
Source1: FAQ.part1.sendmail
Source2: FAQ.part2.sendmail
Source3: check.tar.gz
Patch: sendmail-8.8.8.dif
%description
The "Unix System Administration Handbook" calls sendmail
"The most complex and complete mail delivery system in common use..." .
Ready-made configuration files are included for systems connected by
TCP/IP (with or without a name server) and for systems using UUCP.
'procmail' is included as a local mail agent.

Authors:
--------
    Eric Allman <sendmail@sendmail.ORG>

%prep
%setup
%patch
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install RPM_SOURCE_DIR=$RPM_SOURCE_DIR
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.sendmail
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.sendmail and"
  echo "update by hand."
fi
mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/sendmail-changes
Hi,
sendmail configuration has changed a lot. Please look into /etc/mail/README
for more information about the sendmail package.
List of changes:
- update to sendmail 8.8.8
- new parameters in rc.config (/var/adm/fillup-templates/rc.config.sendmail)
- per default additional database files in /etc/mail are used
- /sbin/conf.d/SuSEconfig.sendmail gernerates /etc/sendmail.cf
- add support for anti-spam macros from Claus Amann
- sample /etc/mail/linux.mc for complex email setups
EOT
%files
%config /etc/sendmail.cf
%config /etc/aliases
/etc/aliases.db
%dir /etc/mail
/etc/mail/README
%config /etc/mail/aliases
/etc/mail/genericstable.db
/etc/mail/mailertable.db
/etc/mail/virtusertable.db
/etc/mail/sendmail.st
%config /etc/mail/linux.mc
%config /etc/mail/linux.nullclient.mc
%config /etc/mail/mailertable
%config /etc/mail/virtusertable
%config /etc/mail/genericstable
%doc /usr/doc/packages/sendmail
/usr/share/sendmail
%dir /var/adm/setup
/var/adm/setup/setup.sendmail
%dir /var/adm/fillup-templates
/var/adm/fillup-templates/rc.config.sendmail
%dir /var/mqueue
/sbin/init.d/rc2.d/K20sendmail
/sbin/init.d/rc2.d/S20sendmail
/sbin/init.d/rc3.d/K20sendmail
/sbin/init.d/rc3.d/S20sendmail
%config /sbin/init.d/sendmail
%config /sbin/conf.d/SuSEconfig.sendmail
/usr/bin/hoststat
/usr/bin/mailq
/usr/bin/newaliases
/usr/bin/praliases
/usr/bin/purgestat
/usr/bin/rmail
/usr/lib/sendmail
/usr/lib/sendmail.hf
%doc /usr/man/man1/mailq.1.gz
%doc /usr/man/man1/newaliases.1.gz
%doc /usr/man/man5/aliases.5.gz
%doc /usr/man/man8/makemap.8.gz
%doc /usr/man/man8/rmail.8.gz
%doc /usr/man/man8/sendmail.8.gz
%doc /usr/man/man8/smrsh.8.gz
/usr/sbin/mailstats
/usr/sbin/makemap
/usr/sbin/sendmail
/usr/sbin/rcsendmail
/usr/sbin/smrsh

